### Enumeration

# WPEPlatform EventType

#### Declaration

    enum WPEPlatform.EventType

#### Description [src]

The type of a `WPEEvent`.

#### Members

`WPE_EVENT_NONE`

  No description available.

  - Value: `0`
  - Available since: 2.0
`WPE_EVENT_POINTER_DOWN`

  No description available.

  - Value: `1`
  - Available since: 2.0
`WPE_EVENT_POINTER_UP`

  No description available.

  - Value: `2`
  - Available since: 2.0
`WPE_EVENT_POINTER_MOVE`

  No description available.

  - Value: `3`
  - Available since: 2.0
`WPE_EVENT_POINTER_ENTER`

  No description available.

  - Value: `4`
  - Available since: 2.0
`WPE_EVENT_POINTER_LEAVE`

  No description available.

  - Value: `5`
  - Available since: 2.0
`WPE_EVENT_SCROLL`

  No description available.

  - Value: `6`
  - Available since: 2.0
`WPE_EVENT_KEYBOARD_KEY_DOWN`

  No description available.

  - Value: `7`
  - Available since: 2.0
`WPE_EVENT_KEYBOARD_KEY_UP`

  No description available.

  - Value: `8`
  - Available since: 2.0
`WPE_EVENT_TOUCH_DOWN`

  No description available.

  - Value: `9`
  - Available since: 2.0
`WPE_EVENT_TOUCH_UP`

  No description available.

  - Value: `10`
  - Available since: 2.0
`WPE_EVENT_TOUCH_MOVE`

  No description available.

  - Value: `11`
  - Available since: 2.0
`WPE_EVENT_TOUCH_CANCEL`

  No description available.

  - Value: `12`
  - Available since: 2.0